package org.ts.ddcs.Service;


import com.alibaba.fastjson.JSONObject;
import org.ts.ddcs.Entity.*;

/**
 * 数据入库服务类
 */
public interface SwService {
     void SaveSwData(JSONObject entity);
     void SaveSwPPTNData(PptnEntity entity);
     void SaveSwPPTN_5Min_Data(PptnEntity entity);
     void SaveSwPPTN_5Min_to_hour_Data(PptnEntity entity);
     void SaveSwRSVRData(RsvrEntity entity);
     void SaveSwRIVERData(RiverEntity entity);
     void SaveSwWaterGateData(WaterGateInfo waterGateInfo);
     void SaveSwImage(String id,String savePath,RtuImageEntity imageEntity);
     void SaveSwRtuStatus(RtuStatusEntity entity);
     RtuStatusEntity SwRtuStatus(String stcd);
     void SaveSwRtuSE(RtuStatusEntity entity);
}
